/* Gallery */

$gallery-switch-nextgen-gallery: $nextgen-gallery;

$gallery-background: $active;
$gallery-background-hover: darken($active, 10%);

$gallery-breakpoint-small: 390px;
$gallery-breakpoint-medium: 450px;
$gallery-breakpoint-large: 700px;

$gallery-display-caption: none;

// Basic wordpress gallery

main .gallery {
	width: 100%;
	margin: {
		top: 15px;
		right: 0;
		bottom: 15px;
		left: 0;
	}
	@includ clearfix;
	
	.gallery-item {
		display: inline-block;
		width: 100%;
		margin: {
			top: 0;
			left: 0;
			right: 0 !important;
			bottom: 15px;
		}
		
		@media all and (min-width: $gallery-breakpoint-small) and (max-width: 450px) {
			width: 46%;
			margin-right: 8% !important;
		
			&:nth-of-type(2n+0) {
				margin-right: 0 !important;
			}
		}
		
		@media all and (min-width: $gallery-breakpoint-medium + 1px) and (max-width: $gallery-breakpoint-large) {
			width: 30%;
			margin-right: 5% !important;

			&:nth-of-type(3n+0) {
				margin-right: 0 !important;
			}
		}
	
		@media all and (min-width: $gallery-breakpoint-large + 1px) {
			width: 23%;
			margin-right: 2.6555555% !important;
		
			&:nth-of-type(4n+0) {
				margin-right: 0 !important;
			}
		}
	}
	
	.gallery-icon {
		@include reset;
	}
	
	img {
		background-color: $gallery-background;
		border: none;
		display: block;
		margin: 0;
		padding: 5px;
		position: relative;
		width: 100% !important;
		height: auto;
		@include border_box;
		@include border-radius(3px);
		@include transition(background-color 0.222s linear);
			
		&:hover {
			background-color: $gallery-background-hover;
		}
	}
	
	.gallery-caption {
		margin-left: 0;
	}
	
	br {
		display: none !important;
	}
	
	dd,
	dd.wp-caption-text {
		display: $gallery-display-caption;
	}
}

// Nextgen gallery

@if $gallery-switch-nextgen-gallery == true {

	.ngg-gallery-thumbnail-box {
		width: 100%;
		margin: {
			right: 0 !important;
			bottom: 15px;
		}
	
		a,
		.ngg-gallery-thumbnail {
			display: block !important;
			width: 100% !important;
		}
	
		.ngg-gallery-thumbnail {
			img {
				background-color: $gallery-background;
				border: none;
				display: block;
				margin: 0;
				padding: 5px;
				position: relative;
				width: 100% !important;
				height: auto;
				@include border_box;
				@include border-radius(3px);
				@include transition(background-color 0.222s linear);
			
				&:hover {
					background-color: $gallery-background-hover;
				}
			}
		}
	
		@media all and (min-width: $gallery-breakpoint-small) and (max-width: 450px) {
			width: 46%;
			margin-right: 8% !important;

			&:nth-child(2n+1) {
				margin-right: 0 !important;
			}
		}
	
		@media all and (min-width: $gallery-breakpoint-medium + 1px) and (max-width: $gallery-breakpoint-large) {
			width: 30%;
			margin-right: 5% !important;

			&:nth-child(3n+1) {
				margin-right: 0 !important;
			}
		}
	
		@media all and (min-width: $gallery-breakpoint-large + 1px) {
			width: 23%;
			margin-right: 2.6555555% !important;
		
			&:nth-child(4n+1) {
				margin-right: 0 !important;
			}
		}
	}

	.slideshowlink {
		display: none !important;
	}
}
